Skip to main content
Developer

Error Handling in BankID B2B Signing#

View as Markdown
On this page

Overview#

The B2B Signing API uses standard HTTP response codes to communicate the result of a request and error codes and messages to inform about the details in case of problems.

Error Response Format#

All errors follow a standardized JSON response format:

{
    "error":	         "Error code e.g. 'internal_error -- SIG_BB###'",
    "error_description": "Error message",
    "error_reference":	 "Error reference for further investigation"
}

code: Error code classifying the problem (see table below).

errorReference: Unique reference to a particular error occurrence - please state this when contacting BankID support

Error Codes#

Note that there are two kinds of error codes that can be shown:

  • A short text-code will always be sent which also gives a hint about the nature of the problem.
  • A BankID-code in the format SIG_BB### is appended in most cases. This code should be mentioned together with the error reference when reporting a problem to BankID support.

The BankID-code will be omitted for errors in connection with DPoP to be compliant with error responses defined in RFC9449.

Error CodeDescriptionHTTP StatusCategory
json_validation_error -- SIG_BB600Request parameter validation failed400Validation errors
json_validation_error -- SIG_BB601Request parameter validation failed400Validation errors
json_validation_error -- SIG_BB602Request parameter validation failed400Validation errors
use_dpop_headerAuthentication missing DPoP-header401Validation errors
insufficient_scope -- SIG_BB604Access token missing required scope403Validation errors
invalid_tokenDPoP token missing or invalid401Validation errors
invalid_dpop_proofDPoP proof missing or invalid401Validation errors
invalid_request -- SIG-BB607Request uses unsupported data structure400Validation errors
invalid_request -- SIG-BB608CMSes and/or OCSPs have wrong format400Validation errors
invalid_request -- SIG-BB609Consistency check of input data failed400Validation errors
internal_error -- SIG_BB699Internal error400Validation errors
backend_service_unavailable -- SIG_BB800Internal error503Technical and communication errors
internal_error -- SIG_BB801Internal error500Technical and communication errors
internal_error -- SIG_BB802Internal error500Technical and communication errors
backend_service_error -- SIG_BB803Internal error500Technical and communication errors
backend_service_error -- SIG_BB804Internal error500Technical and communication errors
backend_service_error -- SIG-BB805Internal error503Technical and communication errors
internal_error -- SIG_BB899Internal error500Technical and communication errors

How to Fix Errors? What to Do?#

How to react to errors depends on the error code, the HHTP status code or the category of the error.

SIG_BB600, SIG_BB601, SIG_BB602 (HTTP 400)

This is a request validation error because of missing or invalid parameter values. Fix the request according to the error message and try again. If the problem persists, contact BankID support.

use_dpop_header, invalid_token, invalid_dpop_proof (HTTP 401)

Use the correct token plus authentication using DPoP including the DPoP proof and try again. If the problem persists, contact BankID support.

SIG_BB604 (HTTP 403)

Use a token with the correct scope and try again. If the problem persists, contact BankID support.

SIG-BB607, SIG-BB608 (HTTP 400)

Note: This only concerns the endpoint /sdo_from_cmses.

Make sure the data structure in the request body matches one of those defined in the API documentation.

Additionally, CMSes and OCSP made for PAdES are not accepted for SDOs in this endpoint.

SIG-BB609 (HTTP 400)

Make sure parameters and data such as hashes, CMSes, OCSP etc. given to the endpoint match, are valid and according to the specifications.

Category 'Technical and communication errors' and SIG_BB699

These are all internal errors that can occur during the signing process. If the problem persists, contact BankID support.

Was this page helpful?